Game.torturer = true --enables mod referencing
-------------------------------------------------------------------------------------------
function OnModGameStart_Torturer()
NewCreatureType("TORTURER")
AddCreatureToPool("TORTURER",PLAYER0.max_creatures/5)
CreatureAvailable("ALL_PLAYERS","TORTURER",true,0)
SetSacrificeRecipe("MkCreature","TORTURER","SPIDER","SPIDER")
end
-------------------------------------------------------------------------------------------
function Torturer_spike_spawner(Shot)
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x+400,Shot.pos.val_y+math.random(-0,0),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x-400,Shot.pos.val_y+math.random(-0,0),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x+300,Shot.pos.val_y+300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x+300,Shot.pos.val_y-300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x,Shot.pos.val_y+400,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x,Shot.pos.val_y-400,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x-300,Shot.pos.val_y+300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT",Shot.pos.val_x-300,Shot.pos.val_y-300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+400,Shot.pos.val_y+math.random(-0,0),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x-400,Shot.pos.val_y+math.random(-0,0),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+300,Shot.pos.val_y+300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+300,Shot.pos.val_y-300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x,Shot.pos.val_y+400,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x,Shot.pos.val_y-400,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x-300,Shot.pos.val_y+300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x-300,Shot.pos.val_y-300,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
end
-------------------------------------------------------------------------------------------
function Torturer_Branding_iron_effect_spawner(Shot)
CreateEffectAtCoords("TORTURER_BURN_EFFECT",Shot.pos.val_x+math.random(-70,70),Shot.pos.val_y+math.random(-70,70),Shot.pos.val_z+math.random(-40,40))
CreateEffectAtCoords("TORTURER_SMOKE_EFFECT",Shot.pos.val_x+math.random(-70,70),Shot.pos.val_y+math.random(-70,70),Shot.pos.val_z+math.random(-40,40))
CreateEffectAtCoords("TORTURER_SMOKE_EFFECT",Shot.pos.val_x+math.random(-70,70),Shot.pos.val_y+math.random(-70,70),Shot.pos.val_z+math.random(-40,40))
end
-------------------------------------------------------------------------------------------
function Torturer_fork_effect_spawner(Shot)
CreateEffectAtCoords("TORTURER_FORK_EFFECTELEMENT",Shot.pos.val_x,Shot.pos.val_y,GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
CreateEffectAtCoords("TORTURER_SPIKE_EFFECT_DEBRIS",Shot.pos.val_x+math.random(-260,260),Shot.pos.val_y+math.random(-260,260),GetFloorHeight(Shot.pos.stl_x,Shot.pos.stl_y))
end